Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class TileEntityCommandBlock

    java.lang.Object
      net.minecraft.src.TileEntity
          net.minecraft.src.TileEntityCommandBlock

All Implemented Interfaces:
  ICommandSender

    public class TileEntityCommandBlock

extends TileEntity
implements ICommandSender

Field Summary

Fields inherited from class net.minecraft.src.TileEntity
`blockMetadata, blockType, worldObj, xCoord, yCoord, zCoord`

Constructor Summary
`TileEntityCommandBlock()`

Method Summary
`boolean` | `canCommandSenderUseCommand(int par1, String par2Str)` Returns true if the command sender is allowed to use the given command.
`ChunkCoordinates` | `func_82114_b()`
`void` | `func_82351_a(World par1World)`
`void` | `func_82352_b(String par1Str)`
`String` | `func_82353_c()`
`String` | `getCommandSenderName()` Gets the name of this command sender (usually username, but possibly "Rcon")
`Packet` | `getDescriptionPacket()` Overriden in a sign to provide the text.
`void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` Reads a tile entity from NBT.
`void` | `sendChatToPlayer(String par1Str)`
`String` | `translateString(String par1Str, Object... par2ArrayOfObj)` Translates and formats the given string key with the given arguments.
`void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` Writes a tile entity to NBT.

Methods inherited from class net.minecraft.src.TileEntity
`addMapping, canUpdate, createAndLoadEntity, func_70309_m, func_82115_m, getBlockMetadata, getBlockType, getDistanceFrom, getWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, receiveClientEvent, setWorldObj, updateContainingBlockInfo, updateEntity, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TileEntityCommandBlock

    public TileEntityCommandBlock()

Method Detail

### func_82352_b

    public void func_82352_b(String par1Str)

### func_82353_c

    public String func_82353_c()

### func_82351_a

    public void func_82351_a(World par1World)

### getCommandSenderName

    public String getCommandSenderName()

  Gets the name of this command sender (usually username, but possibly "Rcon")

  Specified by:
    `getCommandSenderName` in interface `ICommandSender`

### sendChatToPlayer

    public void sendChatToPlayer(String par1Str)

  Specified by:
    `sendChatToPlayer` in interface `ICommandSender`

### canCommandSenderUseCommand

    public boolean canCommandSenderUseCommand(int par1,
                                              String par2Str)

  Returns true if the command sender is allowed to use the given command.

  Specified by:
    `canCommandSenderUseCommand` in interface `ICommandSender`

### translateString

    public String translateString(String par1Str,
                                  Object... par2ArrayOfObj)

  Translates and formats the given string key with the given arguments.

  Specified by:
    `translateString` in interface `ICommandSender`

### writeToNBT

    public void writeToNBT(NBTTagCompound par1NBTTagCompound)

  Writes a tile entity to NBT.

  Overrides:
    `writeToNBT` in class `TileEntity`

### readFromNBT

    public void readFromNBT(NBTTagCompound par1NBTTagCompound)

  Reads a tile entity from NBT.

  Overrides:
    `readFromNBT` in class `TileEntity`

### func_82114_b

    public ChunkCoordinates func_82114_b()

  Specified by:
    `func_82114_b` in interface `ICommandSender`

### getDescriptionPacket

    public Packet getDescriptionPacket()

  Overriden in a sign to provide the text.

  Overrides:
    `getDescriptionPacket` in class `TileEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD